Package org.drinkless.tdlib

# Class TdApi.UpgradedGiftBackdropColors

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.UpgradedGiftBackdropColors

Enclosing class:
  `TdApi`

public static class TdApi.UpgradedGiftBackdropColors extends TdApi.Object
Describes colors of a backdrop of an upgraded gift.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `centerColor`
  A color in the center of the backdrop in the RGB format.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `edgeColor`
  A color on the edges of the backdrop in the RGB format.
  `int`
  `symbolColor`
  A color to be applied for the symbol in the RGB format.
  `int`
  `textColor`
  A color for the text on the backdrop in the RGB format.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpgradedGiftBackdropColors()`
  Describes colors of a backdrop of an upgraded gift.
  `UpgradedGiftBackdropColors(int centerColor, int edgeColor, int symbolColor, int textColor)`
  Describes colors of a backdrop of an upgraded gift.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### centerColor

    public int centerColor
    A color in the center of the backdrop in the RGB format.

  - ### edgeColor

    public int edgeColor
    A color on the edges of the backdrop in the RGB format.

  - ### symbolColor

    public int symbolColor
    A color to be applied for the symbol in the RGB format.

  - ### textColor

    public int textColor
    A color for the text on the backdrop in the RGB format.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpgradedGiftBackdropColors

    public UpgradedGiftBackdropColors()
    Describes colors of a backdrop of an upgraded gift.

  - ### UpgradedGiftBackdropColors

    public UpgradedGiftBackdropColors(int centerColor, int edgeColor, int symbolColor, int textColor)
    Describes colors of a backdrop of an upgraded gift.
    Parameters:
      `centerColor` - A color in the center of the backdrop in the RGB format.
      `edgeColor` - A color on the edges of the backdrop in the RGB format.
      `symbolColor` - A color to be applied for the symbol in the RGB format.
      `textColor` - A color for the text on the backdrop in the RGB format.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR